Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.log
Class MBeanLogger

    java.lang.Object
      mx4j.log.Logger
          mx4j.log.MBeanLogger

public class MBeanLogger
extends Logger

This logger forwards log requests to an MBean, that must have an operation with signature

     public void log(int priority, Object message, Throwable exception);

It's used by the ModelMBean implementation.
Since the constructor takes parameters, cannot be used as prototype for logging redirection.

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from class mx4j.log.Logger
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`MBeanLogger(javax.management.MBeanServer server, javax.management.ObjectName objectName)`

Method Summary
`protected void` | `log(int priority, java.lang.Object message, java.lang.Throwable t)`

Methods inherited from class mx4j.log.Logger
`debug, debug, error, error, fatal, fatal, getCategory, getPriority, info, info, isEnabledFor, setCategory, setPriority, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanLogger

    public MBeanLogger(javax.management.MBeanServer server,
                       javax.management.ObjectName objectName)
                throws javax.management.MBeanException

Method Detail

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

  Overrides:
    `log` in class `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.